Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.datacache
Class KodoConcurrentDataCache

    java.lang.Object
      org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
          org.apache.openjpa.datacache.AbstractDataCache
              org.apache.openjpa.datacache.ConcurrentDataCache
                  kodo.datacache.KodoConcurrentDataCache

All Implemented Interfaces:
  org.apache.openjpa.datacache.DataCache, org.apache.openjpa.event.RemoteCommitListener, org.apache.openjpa.lib.conf.Configurable, org.apache.openjpa.lib.util.Closeable, org.apache.openjpa.lib.util.EventManager

    public class KodoConcurrentDataCache

extends org.apache.openjpa.datacache.ConcurrentDataCache

Extended concurrent data cache for Kodo product.

Field Summary

Fields inherited from class org.apache.openjpa.datacache.AbstractDataCache
`conf, log`

Fields inherited from interface org.apache.openjpa.datacache.DataCache
`NAME_DEFAULT`

Constructor Summary
`KodoConcurrentDataCache()`

Method Summary
`protected org.apache.openjpa.util.CacheMap` | `newCacheMap()`

Methods inherited from class org.apache.openjpa.datacache.ConcurrentDataCache
`clearInternal, getCacheMap, getCacheSize, getInternal, getSoftReferenceSize, initialize, pinInternal, putInternal, removeAllInternal, removeInternal, setCacheSize, setSoftReferenceSize, unpinAll, unpinInternal, writeLock, writeUnlock`

Methods inherited from class org.apache.openjpa.datacache.AbstractDataCache
`addExpirationListener, afterCommit, clear, close, close, commit, contains, containsAll, endConfiguration, fireEvent, get, getEvictionSchedule, getName, isClosed, keyRemoved, pin, pinAll, pinAll, put, putAllInternal, recacheUpdates, remove, removeAll, removeAll, removeAllInternal, removeAllTypeNamesInternal, removeExpirationListener, setConfiguration, setEvictionSchedule, setName, startConfiguration, toString, unpin, unpinAll, update`

Methods inherited from class org.apache.openjpa.lib.util.concurrent.AbstractConcurrentEventManager
`addListener, fireEvent, getListeners, hasListener, hasListeners, isFailFast, newListenerCollection, removeListener, setFailFast`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.event.RemoteCommitListener
`afterCommit, close`

Constructor Detail

### KodoConcurrentDataCache

    public KodoConcurrentDataCache()

Method Detail

### newCacheMap

    protected org.apache.openjpa.util.CacheMap newCacheMap()

  Overrides:
    `newCacheMap` in class `org.apache.openjpa.datacache.ConcurrentDataCache`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.